Debian Bug report logs - #254598
Name of the Debian x86-64/AMD64 port

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Scott James Remnant <scott@netsplit.com>

Date: Tue, 15 Jun 2004 19:18:01 UTC

Severity: wishlist

Merged with 252346

Found in versions 1.10.22, 1.10.22-0.0.0.1.pure64

Fixed in version dpkg/1.10.23

Done: Scott James Remnant <scott@netsplit.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
New Bug report received and forwarded. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: submit@bugs.debian.org
Subject: Name of the Debian x86-64/AMD64 port
Date: Tue, 15 Jun 2004 20:01:07 +0100
[Message part 1 (text/plain, inline)]
Package: tech-ctte

dpkg support for this architecture was added in 1.10.22 with the name
"x86-64"; up until this point the unofficial[0] port had been using the
name "amd64" which I felt had issues -- namely that the dpkg
architecture name should match the kernel architecture name as closely
as possible which "amd64" does not.

Several of the people working on the port have expressed outcry at this
and questioned whether it was indeed my decision to select the name for
the architecture.

I'd therefore like the place the following questions before the
technical committee:

    "May the dpkg and/or apt maintainers select the name of an
     architecture?"

and if the answer to that is negative:

    "What name for the x86-64/AMD64 architecture should be used?"


Please note that in the latter question we are only asking for a
decision on the name itself and not on that architecture's status within
Debian.


The candidate architecture names are as follows.  I've tried to be fair
in listing each name's positive and negative points and tried to avoid
(other than the Vendor bit, which wanted explaining) listing other
candidate's positives as negatives for the rest.


"x86_64"

  + Matches the Linux kernel architecture name
    $ uname -m
    x86_64

  + Matches the architecture portion of the GNU triplet
    $ /usr/share/misc/config.guess
    x86_64-unknown-linux-gnu

  + Matches that used by RPM-based distributions such as Fedora, RedHat
    (next release onwards), and SuSE.

  + Its the packaging architecture name mandated by the LSB.
    <http://www.linuxbase.org/spec/book/Packaging-AMD64/Packaging-AMD64.txt>

  - Currently "_" is used as a component separator in deb filenames
    therefore is forbidden in both package and architecture names.

    Modifying policy to allow "_" in the architecture name would still
    disallow placing the architecture in package names
    (e.g. kernel-package-x86_64).

    Alternatively the name would have to be mangled to (e.g.) "x86-64".

  - "_" is also an illegal character in hostnames, the "second class
    citizen" work will provide ftp.$ARCH.debian.org names for mirrors
    depending on their participation.

    This $ARCH would have to be mangled to (e.g.) "x86-64".


"x86-64"  (favoured by dpkg and apt maintainers, and ftpmaster)

  + The original AMD name for the architecture.

  + Matches the ELF platform name
    $ echo /lib64/ld-linux-*.so.2
    /lib64/ld-linux-x86-64.so.2

  + Although it doesn't match the "x86_64" used elsewhere precisely,
    it could be close enough to not confuse people and gains the plus
    points of "x86_64" as a result without the negative mangling points.

  - Alternatively it's close-but-not-exactness could cause additional
    confusion.

  - There has been a convention that "-" in architecture names separates
    kernel and architecture for the non-Linux ports (e.g. freebsd-i386).


"amd64"  (favoured by members of the porting team)

  + The current AMD name for the architecture.

  + Has been the "working name" for some time, so there already exists a
    large collection of debs built with this despite lack of any support
    in the official dpkg line.

  + Used by Gentoo, RedHat (they are changing to x86_64 though),
    Mandrake (though they might change to x86_64 to conform to LSB and
    RPM) and the BSDs.

  - Vendor specific, Intel chip owners might not realise this is their
    architecture.  (this is more of a problem than "i386" which doesn't
    *explicitly* say "Intel")

  ? The porters claim there is considerable community recognition of
    this name over any other, yet when they sent their
    "Debian AMD64 Port Ready" mail to LWN, LWN changed the title to
    "Debian x86_64 port ready".  <http://lwn.net/Articles/89290/>


"ia32e"

  - It's one of Intel's names for the architecture, except they keep
    changing their minds.  Here for completeness only.


"em64t"

  - It's one of Intel's names for the architecture, except they keep
    changing their minds.  Here for completeness only.


something else?

  Perhaps tech-ctte can come up with an alternate name not on the list?


Scott

[0] in that it has not yet been added to the archive.
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 254598@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: 254598@bugs.debian.org
Subject: Name of the Debian x86-64/AMD64 port
Date: Tue, 15 Jun 2004 17:01:41 -0500
[Message part 1 (text/plain, inline)]
I take exception to:

"Several of the people working on the port have expressed outcry at this
and questioned whether it was indeed my decision to select the name for
the architecture."

So far the signed email vote for amd64 on debian-amd64 list by the
porters is:

AMD64 naming
-----
14 for
 0 against
10 yet to vote

So that is a lot more than just several people, it is the majority of
the amd64 porter team, so far everyone who has voted wants to use AMD64
as the name.

--

Also, Scott forgot to mention that even Microsoft names the arch amd64,
which he seemed to think was a good reason not to use it. ;)

Windows XP (for AMD64 arch)

srv03sp1_usa_1069_amd64fre_pro.iso

--

As far as marketing and user facing documentation from the various
os/dists the following use amd64:

FreeBSD
Gentoo
LSB
Mandrake
Microsoft
NetBSD
OpenBSD
RedHat Enterprise Linux
SUSE

Only Fedora refers to the arch as x86_64 in documentation. To use
anything else will, in my honest opinion, confuse users.

Sincerely,

Chris Cheney
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 254598@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: 254598@bugs.debian.org
Subject: Name of the Debian x86-64/AMD64 port
Date: Tue, 15 Jun 2004 23:32:34 +0100
[Message part 1 (text/plain, inline)]
Chris Cheney <ccheney@cheney.cx> wrote:

> "Several of the people working on the port have expressed outcry at
> this and questioned whether it was indeed my decision to select the
> name for the architecture." 
> 
Chris did actually originally agree to "x86-64" and at least Tollef Fog
Heen has agreed with it...

> Also, Scott forgot to mention that even Microsoft names the arch 
> amd64, which he seemed to think was a good reason not to use it. ;) 
> 
They call it "x64" internally, allegedly.  And you're confusing my
natural sarcasm with proper debate, tsk tsk. 


> As far as marketing and user facing documentation from the various
> os/dists the following use amd64:
> 
This isn't a marketing decision -- we can still use "AMD64" in marketing
material (or the better "AMD64/x86-64" moniker) just like we refer to
PA-RISC as PA-RISC.

This is a technical decision involving dpkg, so we should instead look
at what each use underneath the hood for their next release.

x86_64		amd64		x64
------		-----		---
LSB		FreeBSD		Microsoft
RedHat EL	NetBSD
Fedora		OpenBSD
Mandrake	Gentoo
SuSE
GNU 

It's not as clear-cut as you make out ... which is one of the reasons
we've *had* this debate! 

> Only Fedora refers to the arch as x86_64 in documentation. To use
> anything else will, in my honest opinion, confuse users.
> 
I believe that naming the architecture "amd64" when the Kernel and
Toolchain they're using calls it "x86_64" is even more confusing!
*Especially* for people using Intel chips.

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 254598@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: 254598@bugs.debian.org
Subject: Name of the Debian x86-64/AMD64 port
Date: Tue, 15 Jun 2004 18:17:05 -0500
[Message part 1 (text/plain, inline)]
"Chris did actually originally agree to "x86-64" and at least Tollef Fog
Heen has agreed with it..."

I agreed to it because I wasn't thinking straight. I had thought all the
os/dists used x86_64 for some reason. I had ~ 103-104F fever at the time.
I was sick from 5/27 - 6/10 (?) Once I was well enough I realized that
nothing uses x86-64, only fedora uses x86_64 and everything else uses
amd64. That is why I changed my mind...


"They call it "x64" internally, allegedly.  And you're confusing my
natural sarcasm with proper debate, tsk tsk."

They might call it that now, but the last time I downloaded Windows XP
64bit off their site it was called amd64...


"
This isn't a marketing decision -- we can still use "AMD64" in
marketing material (or the better "AMD64/x86-64" moniker) just like we
refer to PA-RISC as PA-RISC.

This is a technical decision involving dpkg, so we should instead look
at what each use underneath the hood for their next release.

x86_64          amd64           x64
------          -----           ---
LSB             FreeBSD         Microsoft
RedHat EL       NetBSD
Fedora          OpenBSD
Mandrake        Gentoo
SuSE
GNU 

It's not as clear-cut as you make out ... which is one of the reasons
we've *had* this debate!
"


This is not an issue of just marketing, all documentation referred to by
the other os/dists (besides Fedora) call its amd64. The only os/dists
that call it x86_64 are ones running a particular version of rpm as you
have clearly stated before. Even the LSB calls it amd64 everywhere and
only requires that compliant dists be able to install x86_64 lsb rpms.
Also, as you have already made clear Debian can't realistically use
x86_64 and since no one else uses x86-64 the clear winner here is amd64.


Documentation
-------------

x86_64		amd64		"64bit Extended Systems"
------		-----		------------------------
Fedora		FreeBSD		Microsoft
GNU*		Gentoo
		GNU*
		LSB
		Mandrake
		NetBSD
		OpenBSD
		RedHat Enterprise Linux
		SUSE

Internal

x86_64		amd64		x64
------		----		---
LSB		FreeBSD		Microsoft?
Fedora		Gentoo
SuSE		GNU*
GNU*		Mandrake
		Microsoft
		NetBSD
		OpenBSD
		RedHat Enterprise Linux

1. GNU refers to both x86_64-*-* and amd64-*-*

2. Microsoft apparently uses both amd64 and x64 internally.

3. Mandrake, RHEL may convert to x86_64 internally when they adopt newer rpm.


"I believe that naming the architecture "amd64" when the Kernel and
Toolchain they're using calls it "x86_64" is even more confusing!
*Especially* for people using Intel chips."

As mentioned above the toolchain uses both naming, x86_64-*-* and
amd64-*-*. The "kernel" being only the Linux kernel using x86_64 and the
other kernels, FreeBSD, NetBSD, OpenBSD all using amd64. So that's 3:1
in favor of using amd64 for the name. Unless we are going to have
different names for the arch for the different debian ports?


Chris
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Jason Gunthorpe <jgg@wakko.debian.net>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 254598@bugs.debian.org (full text, mbox):

From: Jason Gunthorpe <jgg@wakko.debian.net>
To: Scott James Remnant <scott@netsplit.com>, 254598@bugs.debian.org
Cc: debian-ctte@lists.debian.org
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Tue, 15 Jun 2004 22:58:07 -0600 (MDT)
On Tue, 15 Jun 2004, Scott James Remnant wrote:

>     "May the dpkg and/or apt maintainers select the name of an
>      architecture?"

I'd say no to this. Historically the apt/dpkg folk have never done that,
primarily because they have no interest in the architecture name, it is
just a value in a table.

>     "What name for the x86-64/AMD64 architecture should be used?"

Mmm, tricky.

I personally like the x86?64 variety. I can't see any reason to use amd64,
especially since userland binaries built for amd64 will work on ia32e. I
think the choice of amd64 made some sense before the Intel announcement,
but I think it sill would have been better to align with the kernel/gcc. 
Now it makes very little sense and we should ditch it while we still can. 

It would be terribly nice to be able to use the LSB mandated x86_64 as the
arch name - simply because it is LSB. I'm not sure of the implications of
extra _'s in filenames though. AFAIK nothing should actually be parsing
the filenames like this so it might be ok.

Jason




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 254598@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: 254598@bugs.debian.org
Cc: debian-ctte@lists.debian.org
Subject: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Wed, 16 Jun 2004 02:17:56 -0500
[Message part 1 (text/plain, inline)]
On Tue, 15 Jun 2004, Jason Gunthorpe wrote:
>
> On Tue, 15 Jun 2004, Scott James Remnant wrote:
>
> >     "May the dpkg and/or apt maintainers select the name of an
> >      architecture?"
>
> I'd say no to this. Historically the apt/dpkg folk have never done that,
> primarily because they have no interest in the architecture name, it is
> just a value in a table.

It's pretty clear what the port team wants as a name... so why not use it?
The current email signed voted is at 14-0 and the vote on alioth, which
includes non-porter votes, is at 50-3.

> >     "What name for the x86-64/AMD64 architecture should be used?"
>
> Mmm, tricky.
> 
> I personally like the x86?64 variety. I can't see any reason to use amd64,
> especially since userland binaries built for amd64 will work on ia32e. I
> think the choice of amd64 made some sense before the Intel announcement,
> but I think it sill would have been better to align with the kernel/gcc. 
> Now it makes very little sense and we should ditch it while we still can. 

Perhaps you haven't read my emails since the list software ate them?

The x86_64 variant is passable, but as I said in my other email what are
we going to do about the other Debian kernels? FreeBSD/NetBSD/OpenBSD all
use the amd64 name as well. Also, gcc uses amd64-*-* as well the only
thing that uses x86_64 exclusively is the _Linux_ kernel. As I mentioned
in the previous email out of the various os/dist that support the
x86_64/amd64 arch 8 out of 9 call it _amd64_. That is a fairly clear
majority.

Intel doesn't know what it wants to call the arch it just knows it
doesn't want to refer to it by the arch's proper name. They have used
both em64t and ia32e to refer to the amd64 arch.

> It would be terribly nice to be able to use the LSB mandated x86_64 as the
> arch name - simply because it is LSB. I'm not sure of the implications of
> extra _'s in filenames though. AFAIK nothing should actually be parsing
> the filenames like this so it might be ok.

Even the LSB refers to the arch as amd64 everywhere but the packaging
part, the only reason I can tell that x86_64 is used for packaging is
due to rpm requiring it in current versions. That doesn't change the
fact that all dists but fedora actually refer to the port as amd64.

Chris
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 254598@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: Chris Cheney <ccheney@debian.org>
Cc: 254598@bugs.debian.org
Subject: Re: Name of the Debian x86-64/AMD64 port
Date: Wed, 16 Jun 2004 17:39:34 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2004-06-15 at 18:17 -0500, Chris Cheney wrote:

> This is not an issue of just marketing, all documentation referred to by
> the other os/dists (besides Fedora) call its amd64. The only os/dists
> that call it x86_64 are ones running a particular version of rpm as you
> have clearly stated before. Even the LSB calls it amd64 everywhere and
> only requires that compliant dists be able to install x86_64 lsb rpms.
> Also, as you have already made clear Debian can't realistically use
> x86_64 and since no one else uses x86-64 the clear winner here is amd64.
> 
As discussed, if x86_64 is not acceptable then I feel x86-64 is close
enough.  If we're going to change it entirely we may as well use the
"fred" name that #debian-devel have all agreed on :o)

> 1. GNU refers to both x86_64-*-* and amd64-*-*
> 
Where?  The *only* amd64 reference in config.guess is for OpenBSD.
config.sub explicitly changes "amd64" to "x86_64"

descent scott% grep -i -A1 amd64 /usr/share/misc/config.*
/usr/share/misc/config.guess:    amd64:OpenBSD:*:*)
/usr/share/misc/config.guess-   echo x86_64-unknown-openbsd${UNAME_RELEASE}
--
/usr/share/misc/config.sub:     amd64)
/usr/share/misc/config.sub-             basic_machine=x86_64-pc
--
/usr/share/misc/config.sub:     amd64-*)
/usr/share/misc/config.sub-             basic_machine=x86_64-`echo $basic_machine | sed 's/^[^-]*-//'`

> "I believe that naming the architecture "amd64" when the Kernel and
> Toolchain they're using calls it "x86_64" is even more confusing!
> *Especially* for people using Intel chips."
> 
> As mentioned above the toolchain uses both naming, x86_64-*-* and
> amd64-*-*.
> 
No it doesn't, not on Linux.

> The "kernel" being only the Linux kernel using x86_64 and the
> other kernels, FreeBSD, NetBSD, OpenBSD all using amd64. So that's 3:1
> in favor of using amd64 for the name. Unless we are going to have
> different names for the arch for the different debian ports?
> 
We have that situation already.

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Raul Miller <moth@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 254598@bugs.debian.org (full text, mbox):

From: Raul Miller <moth@debian.org>
To: Scott James Remnant <scott@netsplit.com>, 254598@bugs.debian.org
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Wed, 16 Jun 2004 12:42:57 -0400
Here's the main issues as I see them:

[1] Existing body of work/historical precedence -- we've already got
a bunch of packages with "amd64" in the name and a dpkg with x86-64
hardcoded in it (specifically, in dpkg-architecture.pl in the hash
%archtable we have the key "x86-64" and the value "x86_64-linux").

[2] Possible future implementations of the x86-64 architecture.
It's almost completely certain that intel will be releasing a non-amd64
implementation.

[3] Compatability with some sorts of automated processes.  ?????  Other
than [1] I don't know of any such processes.  Is anyone aware of such?

[4] amd64 and x86-64 require translation when compared to uname while
x86_64 requires translation when put into a package name.

[5] The "other distributions and organizations" aspect -- there's ample
precedence for amd64 and for x86-64 and for x86_64.

...

I don't see any reason why dpkg can't support both x86-64 and amd64.
This would look slightly ugly when displaying known architectures but
that's not a technical issue.

The real issue is probably the archive issue.  We could have both a
Contents-x86-64.gz and a Content-amd64.gz which list the same files,
but the implications of supporting this over time are troubling.

I suppose it's also worth noting that we have a Contents-hurd-i386.gz,
but I'm at a loss of determining the relevance of that to this situation.

Anyways, I think the situation that needs to be resolved is between
ftpmasters and the amd64 porting team.  So we should focus on issues
which are specifically relevant to each.

-- 
Raul



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 254598@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: Raul Miller <moth@debian.org>
Cc: 254598@bugs.debian.org
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Wed, 16 Jun 2004 17:54:23 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2004-06-16 at 12:42 -0400, Raul Miller wrote:

> I don't see any reason why dpkg can't support both x86-64 and amd64.
> This would look slightly ugly when displaying known architectures but
> that's not a technical issue.
> 
At the moment dpkg has no idea of architecture equivalence.  It's
certainly something I'd *like* to have for it (for multi-arch,
especially) but that's going to be a while off for now.

When done you could certainly just install x86-64.deb or amd64.deb on
the same machine, as it'd know they were both compatible with it.

Right now it sees them as totally different architectures, so you'd need
--force-architecture to install one of them.

Plus that doesn't resolve which gets picked by dpkg-architecture when
you *build* a package.

> The real issue is probably the archive issue.  We could have both a
> Contents-x86-64.gz and a Content-amd64.gz which list the same files,
> but the implications of supporting this over time are troubling.
> 
This would only be needed for apt, that (like dpkg-dev) picks an
architecture based on what it sees running on the current system (using
config,guess) and uses that forever after.

That's a mapping from x86_64 (the GNU bit) to the name of the files it
downloads -- so we'd only need one *anyway*.

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Jason Gunthorpe <jgg@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 254598@bugs.debian.org (full text, mbox):

From: Jason Gunthorpe <jgg@wakko.debian.net>
To: Chris Cheney <ccheney@debian.org>
Cc: 254598@bugs.debian.org, debian-ctte@lists.debian.org
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Wed, 16 Jun 2004 21:08:33 -0600 (MDT)
On Wed, 16 Jun 2004, Chris Cheney wrote:

> Perhaps you haven't read my emails since the list software ate them?

Likely.

> thing that uses x86_64 exclusively is the _Linux_ kernel. As I mentioned
> in the previous email out of the various os/dist that support the
> x86_64/amd64 arch 8 out of 9 call it _amd64_. That is a fairly clear
> majority.

You and Scott seem to be saying opposite things here. Can you guys get the
facts straight please?

Keep in mind that documentation is entirely different from what the actual
tools/etc use. I _expect_ that all documentation produced to date will use
AMD64 as that is the name AMD demands that vendors use. When em64t hits
the market I expect that all documentation will be updated to say 
'AMD64 and em64t'. Putting x86-64 in documentation would be foolish.

What the tools use isn't going to change quite so easially.

> Intel doesn't know what it wants to call the arch it just knows it
> doesn't want to refer to it by the arch's proper name. They have used
> both em64t and ia32e to refer to the amd64 arch.

Well, as odd as it seems intel's docs suggest that em64t == amd64 and
ia32e == long mode. They don't refer to the same thing. They do seem to
have recently added em64t though. Wee.

> Even the LSB refers to the arch as amd64 everywhere but the packaging
> part, the only reason I can tell that x86_64 is used for packaging is

Well, we are talking about packaging and the arch name in the LSB as
used for packaging is relevent and isn't likely to change.

Jason





Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 254598@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@debian.org>
To: Jason Gunthorpe <jgg@debian.org>
Cc: 254598@bugs.debian.org, debian-ctte@lists.debian.org
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Wed, 16 Jun 2004 23:53:49 -0500
[Message part 1 (text/plain, inline)]
On Wed, Jun 16, 2004 at 09:08:33PM -0600, Jason Gunthorpe wrote:
> > thing that uses x86_64 exclusively is the _Linux_ kernel. As I mentioned
> > in the previous email out of the various os/dist that support the
> > x86_64/amd64 arch 8 out of 9 call it _amd64_. That is a fairly clear
> > majority.
> 
> You and Scott seem to be saying opposite things here. Can you guys get the
> facts straight please?

The last post I made wrt docs/internal is an accurate reflection of what
each os/dist uses. Scott seems to want to ignore the facts. The tools
even refer to amd64 but (iirc) Scott has said that it only uses them for
the BSDs. Between the fact that Debian supports the BSDs as well as
that the other dists refer to the arch as "amd64" in docs as well as
internally (Gentoo/Mandrake/RHEL) I think it makes the most sense to
keep our arch naming uniform with them and across all of Debian. If we
call the Linux arch "x86_64" what will call kfreebsd port?
"kfreebsd-amd64" like freebsd calls it or "kfreebsd-x86_64" to stay
uniform with the linux port? If we use "amd64" for all it is much
cleaner imho. Also, we wouldn't have to deal with various utility breakage
from the "_", aiui DAK and various mirroring scripts would be affected
along with SCC. The Debian amd64 port team is hoping to be able to
release with Sarge since the port is already more compiled than most of
the "ready" archs and has a working debian-installer. Having to fix all
the scripts first would likely significantly delay its addition to the
archive. If we do decide not to use "amd64" though imho we should only
consider "x86_64" as the alternative since none of the other variations
are used by anyone. Also "x86-64" would cause confusion in debian/rules
and various other scripts because you would see both "x86_64" and
"x86-64" in use in the for different purposes and someone would
inevitably typo it.

> > Even the LSB refers to the arch as amd64 everywhere but the packaging
> > part, the only reason I can tell that x86_64 is used for packaging is
> 
> Well, we are talking about packaging and the arch name in the LSB as
> used for packaging is relevent and isn't likely to change.

Which is why "x86_64" is a good alternative to "amd64" but "x86-64" is
not...


Thanks,

Chris Cheney
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 254598@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@debian.org>
To: Raul Miller <moth@debian.org>, 254598@bugs.debian.org
Cc: Scott James Remnant <scott@netsplit.com>
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Thu, 17 Jun 2004 00:07:47 -0500
[Message part 1 (text/plain, inline)]
On Wed, Jun 16, 2004 at 12:42:57PM -0400, Raul Miller wrote:
> Here's the main issues as I see them:
> 
> [1] Existing body of work/historical precedence -- we've already got
> a bunch of packages with "amd64" in the name and a dpkg with x86-64
> hardcoded in it (specifically, in dpkg-architecture.pl in the hash
> %archtable we have the key "x86-64" and the value "x86_64-linux").

Official dpkg doesn't support the arch in any way currently but hundreds
of packages have been patched to support "amd64" already. All of that
work for the port would have to be redone. Also, all 8600+ packages
would have to be recompiled as well. The patch to dpkg is only 2 lines
long.

> [2] Possible future implementations of the x86-64 architecture.
> It's almost completely certain that intel will be releasing a non-amd64
> implementation.

Actually from what Intel has released information wise their arch is
exactly the same as "amd64" arch except for hypertheading, at least from
what I have read of it. Also, I have not seen any claims to the contrary.
When Intel announced their support of the arch but called it different
many people reviewed the Intel spec to actually see if they changed
anything and found nothing different other than Hyperthreading. They
just didn't want to give AMD the credit for developing the arch so
changed the name.

> [3] Compatability with some sorts of automated processes.  ?????  Other
> than [1] I don't know of any such processes.  Is anyone aware of such?

Supposedly "x86_64" would break DAK and some of the mirroring scripts
people use.

> [5] The "other distributions and organizations" aspect -- there's ample
> precedence for amd64 and for x86-64 and for x86_64.

There is no precedence for "x86-64" nothing uses it period. The only
argument for it is that its similiar to "x86_64" but imho thats a
detriment since it would cause confusion in scripts that need to refer
to both the toolchain name "x86_64" and the debian "x86-64" name. People
would end up typoing it.

Chris
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 254598@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@debian.org>
To: Scott James Remnant <scott@netsplit.com>, 254598@bugs.debian.org
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Thu, 17 Jun 2004 00:14:45 -0500
[Message part 1 (text/plain, inline)]
On Wed, Jun 16, 2004 at 05:39:34PM +0100, Scott James Remnant wrote:
> On Tue, 2004-06-15 at 18:17 -0500, Chris Cheney wrote:
> > 1. GNU refers to both x86_64-*-* and amd64-*-*
> > 
> Where?  The *only* amd64 reference in config.guess is for OpenBSD.
> config.sub explicitly changes "amd64" to "x86_64"

gcc also refers to it, as noted on their website for various arch
support they mention the triplets x86_64-*-* and amd64-*-*. Which would
make sense if config.* supports it also for the BSDs.

Chris

> > The "kernel" being only the Linux kernel using x86_64 and the
> > other kernels, FreeBSD, NetBSD, OpenBSD all using amd64. So that's 3:1
> > in favor of using amd64 for the name. Unless we are going to have
> > different names for the arch for the different debian ports?
> > 
> We have that situation already.

Er we do?

The only examples I see so far are of kfreebsd-i386 and darwin-powerpc
which seems to be uniform... Which ones are you speaking of?

Chris
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Stephen Frost <sfrost@snowman.net>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 254598@bugs.debian.org (full text, mbox):

From: Stephen Frost <sfrost@snowman.net>
To: Scott James Remnant <scott@netsplit.com>, 254598@bugs.debian.org
Cc: debian-ctte@lists.debian.org
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Thu, 17 Jun 2004 07:49:22 -0400
[Message part 1 (text/plain, inline)]
* Scott James Remnant (scott@netsplit.com) wrote:
> dpkg support for this architecture was added in 1.10.22 with the name
> "x86-64"; up until this point the unofficial[0] port had been using the
> name "amd64" which I felt had issues -- namely that the dpkg
> architecture name should match the kernel architecture name as closely
> as possible which "amd64" does not.
> 
> Several of the people working on the port have expressed outcry at this
> and questioned whether it was indeed my decision to select the name for
> the architecture.
> 
> I'd therefore like the place the following questions before the
> technical committee:

Since I'm involved with and would be affected by the resulting choice of
architecture name for amd64 (unlike the people who want to have it
called something else) I'll throw my 2c in:  

I don't see this as a technical issue and I don't believe the tech 
committee has any jurisdiction over it.  It sure as hell wasn't my idea 
to involve it and currently I've got serious doubts about the tech 
committee anyway.

Additionally, I'd expect the amd64 porters (certainly myself) to
ignore the decision of the tech committee on this non-technical issue.
We likely have enough resources amoung us to continue what we're doing
today, even if we have to move off of Debian machines.  The result being
that there'd essentially be no one left interested in doing the work to
recompile, upload, etc the packages with whatever name the tech
committee comes up with to Debian.

There's probably good reason that in the past and in general the porters
are the ones who pick the arch name.

	Stephen
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Raul Miller <moth@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 254598@bugs.debian.org (full text, mbox):

From: Raul Miller <moth@debian.org>
To: 254598@bugs.debian.org, Scott James Remnant <scott@netsplit.com>
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Thu, 17 Jun 2004 14:02:48 -0400
On Thu, Jun 17, 2004 at 12:07:47AM -0500, Chris Cheney wrote:
> There is no precedence for "x86-64" nothing uses it period. The only
> argument for it is that its similiar to "x86_64" but imho thats a
> detriment since it would cause confusion in scripts that need to refer
> to both the toolchain name "x86_64" and the debian "x86-64" name. People
> would end up typoing it.

x86-64 is amd's official name for the architecture.

-- 
Raul



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Raul Miller <moth@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #80 received at 254598@bugs.debian.org (full text, mbox):

From: Raul Miller <moth@debian.org>
To: 254598@bugs.debian.org
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Thu, 17 Jun 2004 14:12:25 -0400
On Thu, Jun 17, 2004 at 07:49:22AM -0400, Stephen Frost wrote:
> I don't see this as a technical issue and I don't believe the tech 
> committee has any jurisdiction over it.

The technical committee can be brought in on non-technical issues when
asked to resolve them.

> There's probably good reason that in the past and in general the porters
> are the ones who pick the arch name.

Probably.

I'm not sure how you're going to go forward with your "refuse to
cooperate" idea if the technical committee happens to decide that
you're right.  But I'll let you worry about that one.

-- 
Raul



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #85 received at 254598@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: Raul Miller <moth@debian.org>, 254598@bugs.debian.org
Cc: Scott James Remnant <scott@netsplit.com>
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Thu, 17 Jun 2004 13:46:55 -0500
[Message part 1 (text/plain, inline)]
On Thu, Jun 17, 2004 at 02:02:48PM -0400, Raul Miller wrote:
> On Thu, Jun 17, 2004 at 12:07:47AM -0500, Chris Cheney wrote:
> > There is no precedence for "x86-64" nothing uses it period. The only
> > argument for it is that its similiar to "x86_64" but imho thats a
> > detriment since it would cause confusion in scripts that need to refer
> > to both the toolchain name "x86_64" and the debian "x86-64" name. People
> > would end up typoing it.
> 
> x86-64 is amd's official name for the architecture.

No its not, "amd64" is amd's official name for the architecture and has
been since ~ April 2003, when the first actual chips were released. Look
at www.amd64.org, nearly all news events that have occured since then
refer to the arch as "amd64" the only ones that don't are when they
refer to a dist that uses a different naming. Also, they have not gone
back and changed all the old documents produced before that time, but the
arch is definitely officially called "amd64" now.

Chris
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Raul Miller <moth@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #90 received at 254598@bugs.debian.org (full text, mbox):

From: Raul Miller <moth@debian.org>
To: 254598@bugs.debian.org, Scott James Remnant <scott@netsplit.com>
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Thu, 17 Jun 2004 16:11:35 -0400
> > x86-64 is amd's official name for the architecture.

On Thu, Jun 17, 2004 at 01:46:55PM -0500, Chris Cheney wrote:
> No its not, "amd64" is amd's official name for the architecture and has
> been since ~ April 2003, when the first actual chips were released.

Sorry, I should have said "was amd's official name for the architecture".

http://www.amd.com/us-en/Processors/DevelopWithAMD/0,,30_2252_875_1024,00.html

Anyways, this is the original notation that x86_64 came from.

-- 
Raul



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Raul Miller <moth@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #95 received at 254598@bugs.debian.org (full text, mbox):

From: Raul Miller <moth@debian.org>
To: 254598@bugs.debian.org
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Thu, 17 Jun 2004 16:36:05 -0400
Does anyone have any reasonable objection to
Stephen Frost's statement that the porting
team should get to choose the name of the
port?

I'm not asking whether the name choosen is
correct (all the proposed candidate names
have flaws).  I'm asking why anyone should
expect to override the porting team's choice.

Thanks,

-- 
Raul



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Stephen Frost <sfrost@snowman.net>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #100 received at 254598@bugs.debian.org (full text, mbox):

From: Stephen Frost <sfrost@snowman.net>
To: Raul Miller <moth@debian.org>, 254598@bugs.debian.org
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Thu, 17 Jun 2004 16:48:42 -0400
[Message part 1 (text/plain, inline)]
* Raul Miller (moth@debian.org) wrote:
> On Thu, Jun 17, 2004 at 07:49:22AM -0400, Stephen Frost wrote:
> > I don't see this as a technical issue and I don't believe the tech 
> > committee has any jurisdiction over it.
> 
> The technical committee can be brought in on non-technical issues when
> asked to resolve them.

I don't see it as appropriate or logical for the technical committee to
have the final say on non-technical issues, regardless of if they're
asked them or not.  If they'd like to share their opinion, that's nice,
but very different.

> > There's probably good reason that in the past and in general the porters
> > are the ones who pick the arch name.
> 
> Probably.
> 
> I'm not sure how you're going to go forward with your "refuse to
> cooperate" idea if the technical committee happens to decide that
> you're right.  But I'll let you worry about that one.

It'd be a no-op, of course.  I didn't say I'd go against the committee
regardless of thier decision but that I'd ignore it.

	Stephen
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Raul Miller <moth@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #105 received at 254598@bugs.debian.org (full text, mbox):

From: Raul Miller <moth@debian.org>
To: 254598@bugs.debian.org
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Thu, 17 Jun 2004 17:32:38 -0400
> * Raul Miller (moth@debian.org) wrote:
> > On Thu, Jun 17, 2004 at 07:49:22AM -0400, Stephen Frost wrote:
> > > I don't see this as a technical issue and I don't believe the tech 
> > > committee has any jurisdiction over it.

On Thu, Jun 17, 2004 at 04:48:42PM -0400, Stephen Frost wrote:
> > The technical committee can be brought in on non-technical issues when
> > asked to resolve them.
> 
> I don't see it as appropriate or logical for the technical committee to
> have the final say on non-technical issues, regardless of if they're
> asked them or not.  If they'd like to share their opinion, that's nice,
> but very different.

There's actually two points of potential relevance:

[1] When something is within someone's jurisdiction, they can ask the
technical committee to make a specific decision.

[2] When jurisdictions overlap, the technical committee can make
a decision.

What I think you're saying is that developer A can't meaningfully ask
the technical committee to make a decision which is within developer (or
developer group) B's jurisdiction when the issue is not within developer
A's jurisdiction.  And, I agree. 

[That's a bit long, mostly because the phrases are so big, but I think
it's clear enough.]

-- 
Raul



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #110 received at 254598@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@debian.org>
To: Raul Miller <moth@debian.org>, 254598@bugs.debian.org
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Thu, 17 Jun 2004 16:58:21 -0500
[Message part 1 (text/plain, inline)]
On Thu, Jun 17, 2004 at 04:36:05PM -0400, Raul Miller wrote:
> Does anyone have any reasonable objection to
> Stephen Frost's statement that the porting
> team should get to choose the name of the
> port?
> 
> I'm not asking whether the name choosen is
> correct (all the proposed candidate names
> have flaws).  I'm asking why anyone should
> expect to override the porting team's choice.

I have no objections to the port team being allowed to choose the name
as should be obvious. As I understand it the port team has actually had
multiple votes on this issue. Once last year, and then twice in the past
month due to Scott's request. All three times the port team has choosen
to use amd64 as the name for the port.

Chris
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #115 received at 254598@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: 254598@bugs.debian.org
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Fri, 18 Jun 2004 01:07:45 +0100
I'm posting my substantive reply to the debian-ctte list (only) -
please find it, and follow up, there.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Jason Gunthorpe <jgg@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #120 received at 254598@bugs.debian.org (full text, mbox):

From: Jason Gunthorpe <jgg@debian.org>
To: Chris Cheney <ccheney@debian.org>
Cc: Raul Miller <moth@debian.org>, 254598@bugs.debian.org, Scott James Remnant <scott@netsplit.com>, ccheney@cheney.cx, debian-ctte@lists.debian.org
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Thu, 17 Jun 2004 22:54:55 -0600 (MDT)
On Thu, 17 Jun 2004, Chris Cheney wrote:

> refer to a dist that uses a different naming. Also, they have not gone
> back and changed all the old documents produced before that time, but the
> arch is definitely officially called "amd64" now.

Every official up-to-date doc from AMD has been stripped of any
reference to x86-64 actually. Even the sekrit nda ones.. AMD marketing
very much wants people to call it AMD64. Its going to be great fun when
Intel marketing gets geared up to stamp out the name completely.

Also, as another small correction, AMD64's long mode and em64t's ia32e
mode have a subtly different instruction mix, for instance AMD64 specifies
LAHF/SAHF while Intel does not. Intel also does not appear to be
implementing some of the optional features from AMD64 like NX..

But, the two are sufficiently the same that user space binaries can be
made to work on both.

Jason




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Jason Gunthorpe <jgg@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #125 received at 254598@bugs.debian.org (full text, mbox):

From: Jason Gunthorpe <jgg@debian.org>
To: Chris Cheney <ccheney@debian.org>
Cc: 254598@bugs.debian.org, debian-ctte@lists.debian.org
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Thu, 17 Jun 2004 23:15:31 -0600 (MDT)
On Wed, 16 Jun 2004, Chris Cheney wrote:

> > > Even the LSB refers to the arch as amd64 everywhere but the packaging
> > > part, the only reason I can tell that x86_64 is used for packaging is
> > 
> > Well, we are talking about packaging and the arch name in the LSB as
> > used for packaging is relevent and isn't likely to change.
> 
> Which is why "x86_64" is a good alternative to "amd64" but "x86-64" is
> not...

Indeed.

The only places I could find x86_64 still being used are in Fedora and as
the gnu arch string for the toolchain, though amd64 seems to be seaping
in. I'm a little surprised to hear you say that RH EL uses AMD64 for the
internal name, but maybe RH got badgered by AMD marketing into changing
it.

I'd have to say based on all the recent posting amd64 is definately
sounding like the better choice.

I'm also a little skeptical that the ctte should have any involvement at
all..

Jason






Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #130 received at 254598@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Chris Cheney <ccheney@debian.org>, 254598@bugs.debian.org
Cc: Raul Miller <moth@debian.org>, Scott James Remnant <scott@netsplit.com>
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Sat, 19 Jun 2004 21:34:21 -0700
On Thu, Jun 17, 2004 at 12:07:47AM -0500, Chris Cheney wrote:

> On Wed, Jun 16, 2004 at 12:42:57PM -0400, Raul Miller wrote:
> > Here's the main issues as I see them:
> > 
> > [1] Existing body of work/historical precedence -- we've already got
> > a bunch of packages with "amd64" in the name and a dpkg with x86-64
> > hardcoded in it (specifically, in dpkg-architecture.pl in the hash
> > %archtable we have the key "x86-64" and the value "x86_64-linux").
> 
> Official dpkg doesn't support the arch in any way currently but hundreds
> of packages have been patched to support "amd64" already.

Assuming you're talking about _Debian_ packages, the actual number seems to be
somewhat smaller than "hundreds":

mizar:[/tmp] cat /var/lib/apt/lists/*unstable*_Sources | grep-dctrl -c -FArchitecture,Build-Depends amd64  
39

Given that the modifications are absolutely trivial, I don't think this is a
very significant factor in the decision.

> > [3] Compatability with some sorts of automated processes.  ?????  Other
> > than [1] I don't know of any such processes.  Is anyone aware of such?
> 
> Supposedly "x86_64" would break DAK

Can you provide a reference?

-- 
 - mdz



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #135 received at 254598@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: Matt Zimmerman <mdz@debian.org>
Cc: Chris Cheney <ccheney@debian.org>, 254598@bugs.debian.org, Raul Miller <moth@debian.org>, Scott James Remnant <scott@netsplit.com>
Subject: Re: Bug#254598: Name of the Debian x86-64/AMD64 port
Date: Sat, 19 Jun 2004 23:39:02 -0500
[Message part 1 (text/plain, inline)]
On Sat, Jun 19, 2004 at 09:34:21PM -0700, Matt Zimmerman wrote:
> On Thu, Jun 17, 2004 at 12:07:47AM -0500, Chris Cheney wrote:
> 
> > On Wed, Jun 16, 2004 at 12:42:57PM -0400, Raul Miller wrote:
> > > Here's the main issues as I see them:
> > > 
> > > [1] Existing body of work/historical precedence -- we've already got
> > > a bunch of packages with "amd64" in the name and a dpkg with x86-64
> > > hardcoded in it (specifically, in dpkg-architecture.pl in the hash
> > > %archtable we have the key "x86-64" and the value "x86_64-linux").
> > 
> > Official dpkg doesn't support the arch in any way currently but hundreds
> > of packages have been patched to support "amd64" already.
> 
> Assuming you're talking about _Debian_ packages, the actual number seems to be
> somewhat smaller than "hundreds":
> 
> mizar:[/tmp] cat /var/lib/apt/lists/*unstable*_Sources | grep-dctrl -c -FArchitecture,Build-Depends amd64  
> 39
> 
> Given that the modifications are absolutely trivial, I don't think this is a
> very significant factor in the decision.

That is just the list of the ones that have already been accepted by the
official debian maintainers. There are many more applied in the pure64
port and filed in the bts...

> > > [3] Compatability with some sorts of automated processes.  ?????  Other
> > > than [1] I don't know of any such processes.  Is anyone aware of such?
> > 
> > Supposedly "x86_64" would break DAK
> 
> Can you provide a reference?

I believe that Scott himself had said this previously, but I can't
remember for certain.

Chris
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#254598; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #140 received at 254598@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: debian-ctte@lists.debian.org, 254598@bugs.debian.org, debian-amd64@lists.debian.org, dpkg@packages.debian.org
Cc: Scott James Remnant <scott@netsplit.com>, Chris Cheney <ccheney@debian.org>, Graham Wilson <bob@decoy.wox.org>, Stephen Frost <sfrost@snowman.net>
Subject: Technical Committee decision Re: Name of [the] x86-64/AMD64 port
Date: Thu, 24 Jun 2004 20:24:25 +0100
Thanks to everyone for your contributions, and to the voting committee
members for your votes.  The Technical Committee has passed the
following resolution:

 The Technical Committee have considered the question of the name of
 the Debian x86-64/AMD64 port.  We resolve that:

  * In our opinion the porting team are the right people to be deciding
    on the architecture name, in general.
 
  * In our opinion there is no significant technical reason to
    interfere with the porting team's decision; on the contrary, we
    largely agree with the porting team's choice of `amd64'.
 
  * In our opinion architecture names with underscores in should not be
    used because of the existing use of underscore as a separator in
    package filenames, etc.; accordingly we advise that these should be
    avoided.
 
  * Since names with hyphens in are currently only used when separating
    variant kernel-processor combinations, we advise that this practice
    should be continued.
 
  * Therefore, insofar as we are granted any authority by the
    constitution, we uphold the porting team's choice of `amd64'.
 
  * We request that dpkg should be changed to use `amd64'.
    Should the dpkg maintainers decline, we will seek clarification of
    the Constitution and consider using our powers in 6.1(1), 6.1(2) or
    6.1(4) to overrule the dpkg maintainers.

Votes in favour: Wichert, Raul, Guy, Manoj, Ian.
No votes against.  Because the outcome was no longer in doubt, the
voting period has finished early, before Bdale or Jason voted.

I'll reassign the bug to dpkg, since there's an outstanding action
there, and will update the committee web page.

Thanks,
Ian.



Bug reassigned from package `tech-ctte' to `dpkg'. Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#254598; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #147 received at 254598@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: 252346@bugs.debian.org, 254598@bugs.debian.org
Subject: amd64 bug merge and elevation
Date: Thu, 1 Jul 2004 15:57:29 -0500
[Message part 1 (text/plain, inline)]
severity 252346 serious
severity 254598 serious
merge 242346 254598
stop

This bug needs to be fixed soon, it is holding up debian amd64 port from
entering the archive. The tech ctte decision was announced over a week
ago but dpkg still uses the wrong arch name in the archtable.

Thanks,
Chris Cheney
[signature.asc (application/pgp-signature, inline)]

Severity set to `serious'. Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 252346 254598. Request was from Chris Cheney <ccheney@cheney.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#254598; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #156 received at 254598@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: Chris Cheney <ccheney@cheney.cx>, 252346@bugs.debian.org
Cc: 254598@bugs.debian.org
Subject: Re: Bug#252346: amd64 bug merge and elevation
Date: Mon, 05 Jul 2004 22:31:14 +0100
[Message part 1 (text/plain, inline)]
severity 242346 wishlist
severity 254598 wishlist
merge 242346 254598
thanks

    serious
	is a severe violation of Debian policy (that is, it violates a
	"must" or "required" directive), or, in the package
	maintainer's opinion, makes the package unsuitable for release.


None of the above is true for this bug, "serious" is not an appropriate
severity.


On Thu, 2004-07-01 at 15:57 -0500, Chris Cheney wrote:

> This bug needs to be fixed soon, it is holding up debian amd64 port from
> entering the archive.
> 
Can you loosen your pants? your voice is a bit muffled.  Until James
tells me that he's waiting on me to add amd64 to the archive, I state
that you are simply talking bullshit here.

I am not aware of any ftpmaster movement being delayed over the current
state of dpkg.

> The tech ctte decision was announced over a week ago but dpkg still uses
> the wrong arch name in the archtable.
> 
Yes, and it still has the wrong behaviour for md5sum.  In both cases I
have indicated my intention to abide my tech-ctte's wishes... I simply
haven't yet made a new release.

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Severity set to `wishlist'. Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Scott James Remnant <scott@netsplit.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Scott James Remnant <scott@netsplit.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #163 received at 252346-close@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: 252346-close@bugs.debian.org
Subject: Bug#252346: fixed in dpkg 1.10.23
Date: Mon, 19 Jul 2004 15:47:30 -0400
Source: dpkg
Source-Version: 1.10.23

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.10.23_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.10.23_all.deb
dpkg-doc_1.10.23_all.deb
  to pool/main/d/dpkg/dpkg-doc_1.10.23_all.deb
dpkg_1.10.23.dsc
  to pool/main/d/dpkg/dpkg_1.10.23.dsc
dpkg_1.10.23.tar.gz
  to pool/main/d/dpkg/dpkg_1.10.23.tar.gz
dpkg_1.10.23_i386.deb
  to pool/main/d/dpkg/dpkg_1.10.23_i386.deb
dselect_1.10.23_i386.deb
  to pool/main/d/dpkg/dselect_1.10.23_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 252346@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott James Remnant <scott@netsplit.com> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 19 Jul 2004 19:52:14 +0100
Source: dpkg
Binary: dpkg-doc dpkg dselect dpkg-dev dpkg-static
Architecture: source all i386
Version: 1.10.23
Distribution: unstable
Urgency: low
Maintainer: Dpkg Development <debian-dpkg@lists.debian.org>
Changed-By: Scott James Remnant <scott@netsplit.com>
Description: 
 dpkg       - Package maintenance system for Debian
 dpkg-dev   - Package building tools for Debian
 dpkg-doc   - Dpkg Internals Documentation
 dselect    - a user tool to manage Debian packages
Closes: 133640 246158 246159 246160 246161 246162 246163 246164 252346 252407 252586 254175 254180 254209 254590 254598 256302
Changes: 
 dpkg (1.10.23) unstable; urgency=low
 .
   The "Let the Wookie win" Release.
 .
   * Updated hurd start-stop-daemon support.  Closes: #133640, #254180.
   * Removed usage of non-POSIX test options.  Closes: #256302.
 .
   * Architecture Support:
     - Renamed x86-64 to amd64.  Closes: #252346, #254598.
   * Documentation:
     - Correct typo in dpkg-divert(8).  Closes: #254175.
   * New Translations:
     - Korean (Changwoo Ryu).  Closes: #254590.
   * Updated Translations:
     - Catalan (Jordi Mallach).
     - Danish (Claus Hindsgaul).  Closes: #252407.
     - French (Christian Perrier).  Closes: #252586.
     - Italian (Lele Gaifax).
     - Polish (Bartosz Fenski).  Closes: #254209.
     - Spanish manpages (Ruben Porras).  Closes: #246158, #246159, #246160,
       #246161, #246162, #246163, #246164.
Files: 
 2eb35b462d81826455016fad6c5e8f3a 798 base required dpkg_1.10.23.dsc
 94a845ab0e14deb196d43e03c48a16b9 1763248 base required dpkg_1.10.23.tar.gz
 d6498369a2404180e10950ff1162ccec 1341122 base required dpkg_1.10.23_i386.deb
 edf5d858fc64757ef43855935ff961c7 119848 base required dselect_1.10.23_i386.deb
 2eabc2d309da69a9cb0449652e65221b 165728 utils standard dpkg-dev_1.10.23_all.deb
 bb925ebd2e7c47eacab34ed4cc171941 10612 doc optional dpkg-doc_1.10.23_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFA/BqrIexP3IStZ2wRAn7qAJ45IerZoUtRwmicirNhEE6BFlbESACgo//G
tnS5yOFrND1ZGS/aaL8BZfs=
=SC/e
-----END PGP SIGNATURE-----




Message #164 received at 254598-close@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: 254598-close@bugs.debian.org
Subject: Bug#254598: fixed in dpkg 1.10.23
Date: Mon, 19 Jul 2004 15:47:30 -0400
Source: dpkg
Source-Version: 1.10.23

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.10.23_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.10.23_all.deb
dpkg-doc_1.10.23_all.deb
  to pool/main/d/dpkg/dpkg-doc_1.10.23_all.deb
dpkg_1.10.23.dsc
  to pool/main/d/dpkg/dpkg_1.10.23.dsc
dpkg_1.10.23.tar.gz
  to pool/main/d/dpkg/dpkg_1.10.23.tar.gz
dpkg_1.10.23_i386.deb
  to pool/main/d/dpkg/dpkg_1.10.23_i386.deb
dselect_1.10.23_i386.deb
  to pool/main/d/dpkg/dselect_1.10.23_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 254598@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott James Remnant <scott@netsplit.com> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 19 Jul 2004 19:52:14 +0100
Source: dpkg
Binary: dpkg-doc dpkg dselect dpkg-dev dpkg-static
Architecture: source all i386
Version: 1.10.23
Distribution: unstable
Urgency: low
Maintainer: Dpkg Development <debian-dpkg@lists.debian.org>
Changed-By: Scott James Remnant <scott@netsplit.com>
Description: 
 dpkg       - Package maintenance system for Debian
 dpkg-dev   - Package building tools for Debian
 dpkg-doc   - Dpkg Internals Documentation
 dselect    - a user tool to manage Debian packages
Closes: 133640 246158 246159 246160 246161 246162 246163 246164 252346 252407 252586 254175 254180 254209 254590 254598 256302
Changes: 
 dpkg (1.10.23) unstable; urgency=low
 .
   The "Let the Wookie win" Release.
 .
   * Updated hurd start-stop-daemon support.  Closes: #133640, #254180.
   * Removed usage of non-POSIX test options.  Closes: #256302.
 .
   * Architecture Support:
     - Renamed x86-64 to amd64.  Closes: #252346, #254598.
   * Documentation:
     - Correct typo in dpkg-divert(8).  Closes: #254175.
   * New Translations:
     - Korean (Changwoo Ryu).  Closes: #254590.
   * Updated Translations:
     - Catalan (Jordi Mallach).
     - Danish (Claus Hindsgaul).  Closes: #252407.
     - French (Christian Perrier).  Closes: #252586.
     - Italian (Lele Gaifax).
     - Polish (Bartosz Fenski).  Closes: #254209.
     - Spanish manpages (Ruben Porras).  Closes: #246158, #246159, #246160,
       #246161, #246162, #246163, #246164.
Files: 
 2eb35b462d81826455016fad6c5e8f3a 798 base required dpkg_1.10.23.dsc
 94a845ab0e14deb196d43e03c48a16b9 1763248 base required dpkg_1.10.23.tar.gz
 d6498369a2404180e10950ff1162ccec 1341122 base required dpkg_1.10.23_i386.deb
 edf5d858fc64757ef43855935ff961c7 119848 base required dselect_1.10.23_i386.deb
 2eabc2d309da69a9cb0449652e65221b 165728 utils standard dpkg-dev_1.10.23_all.deb
 bb925ebd2e7c47eacab34ed4cc171941 10612 doc optional dpkg-doc_1.10.23_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFA/BqrIexP3IStZ2wRAn7qAJ45IerZoUtRwmicirNhEE6BFlbESACgo//G
tnS5yOFrND1ZGS/aaL8BZfs=
=SC/e
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:18:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.